%define	name edje
%define	version 20131105
%define release %mkrel 1
%define realversion 1.7.9

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Complex graphical design & layout library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	%{name}-%{realversion}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
# Enlightenment BR
BuildRequires:	eina-devel
BuildRequires: 	eet-devel
BuildRequires:  evas-devel
BuildRequires:	ecore-devel
BuildRequires:	embryo-devel
BuildRequires:	%{_lib}lua5.1-devel

%description
A graphical layout and animation library for animated resizable, compressed
and scalable themes.

This package is part of the Enlightenment DR17 desktop shell.


%package devel
Summary: Enlightenment edje headers and development libraries
Group: Development/Libraries
Requires: %name = %version
Provides: lib%{name}-devel = %version-%release
Provides: %{name}-devel = %version-%release

%description devel
Edje development headers and libraries.

%prep
%setup -q -n %{name}-%{realversion}

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README 
%_bindir/%{name}_*
%_bindir/inkscape2edc
%_datadir/%name
%_libdir/lib*.so.%{major}*
%_datadir/mime/packages/edje.xml
%_libdir/edje/utils/epp

%files devel
%defattr(-,root,root)
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc
%_includedir/edje-1


%changelog
* Tue Nov 05 2013 Texstar <texstar at gmail.com> 20131105-1pclos2013
- 1.7.9
